<div ng-cloak class="wrap admin-setting-view" flex layout="row" layout-align="center center" ng-app="activation" ng-controller="ActivationController">
    <div flex="60" layout="column" layout-align="center center">
        <div class="heading">
            Welcome to Sonicx
        </div>
        <div class="description">
            Please enter your website credentials.
        </div>
        <div layout="row" layout-fill layout-align="center center" ng-show="activationStatus.isFailed">
            <div class="error-box" flex="80">
                {{ activationStatus.message }}
            </div>
        </div>
        <div layout="row" layout-fill layout-align="center center">
            <div class="onboarding-box" flex="80">
                <div class="input-component">
                    <div class="input-description">
                        Website ID
                    </div>
                    <input type="text" ng-model="websiteDetails.websiteId" class="input">
                </div>
                <div class="input-component">
                    <div class="input-description">
                        Website Secret
                    </div>
                    <input type="text" ng-model="websiteDetails.websiteSecret" class="input">
                </div>
                <div class="input-component">
                    <div class="input-description">
                        Website URL
                    </div>
                    <input type="text" ng-model="websiteDetails.url" ng-init="initializeWebsiteUrl('<?php echo get_site_url(); ?>')" class="input" ng-disabled="true">
                </div>
                <div class="input-component" layout="row" layout-align="center center">
                    <md-progress-circular md-mode="indeterminate" md-diameter="30px" ng-if="activationStatus.inProgress"></md-progress-circular>
                    <button type="button" class="input-button" ng-click="activateWebsite()" ng-if="!activationStatus.inProgress">ACTIVATE</button>
                </div>
            </div>
        </div>
    </div>
</div>