<?php
$options = get_option( SX_Leospeed::$sx_option_name );
$websiteId = $options['sx_setting_website_id'];
$websiteSecret = $options['sx_setting_website_secret'];
$sonicx_basePath = dirname(__FILE__) . '/../';
require_once $sonicx_basePath . 'includes/constant.php';
?>
<div ng-cloak class="wrap admin-setting-view" flex layout="column" layout-align="start start" ng-app="container" ng-controller="ContainerController">
    <?php require_once "notification.php"; ?>
    <div layout="row" layout-align="start center" style="width: 100% !important;">
        <div ng-repeat="(key, navigationOption) in navigation.options" ng-click="selectNavigationItem(navigationOption)" ng-class="{'selected-navigation-item': navigation.selectedItem === navigationOption, 'navigation-item': navigation.selectedItem !== navigationOption}">
            {{navigationOption.label}}
        </div>
    </div>
    <div style="width: 100% !important;" ng-if="navigation.selectedItem === navigation.options.dashboard">
        <?php require_once "dashboard.php"; ?>
    </div>
    <div style="width: 100% !important;" ng-if="navigation.selectedItem === navigation.options.optimization">
        <?php require_once "optimization.php"; ?>
    </div>
    <div style="width: 100% !important;" ng-if="navigation.selectedItem === navigation.options.settings">
        <?php require_once "setting.php"; ?>
    </div>
</div>
<?php require_once "script.php"; ?>

