<?php

function sanitize_input_post(string $data): string
{
    return sanitize_text_field(
        filter_input(INPUT_POST, $data)
    );
}

function sanitize_input_get(string $data): string
{
    return sanitize_text_field(
        filter_input(INPUT_GET, $data)
    );
}

function sanitize_boolean(string $data): string
{
    return filter_var($data, FILTER_VALIDATE_BOOLEAN);
}

function sanitize_string(string $data): string
{
    return sanitize_text_field($data);
}
